<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

Route::get('login', function() {
	return View::make('login');
});

Route::post('login', array('uses' => 'UsuariosController@login'));
Route::post('logout', array('uses' => 'UsuariosController@logout'));

Route::group(array('before' => 'auth'), function() {
	Route::get('/', function()
	{
		return View::make('hello');
	});
	Route::get('formulas/datagrid', array('before' => 'permisos:formulas_ver','uses' => 'FormulasController@datagrid'));
	Route::get('detalles_formula/datagrid', array('before' => 'permisos:formulas_ver','uses' => 'FormulasController@detalles_datagrid'));
	Route::get('formulas/agregar', array('before' => 'permisos:formulas_agregar','uses' => 'FormulasController@vista_agregar'));
	Route::post('formulas/agregar', array('before' => 'permisos:formulas_agregar','uses' => 'FormulasController@agregar_formula'));
	Route::get('formulas/select_materias_primas', array('before' => 'permisos:formulas_agregar|formulas_editar|planificador_ver', 'uses' => 'FormulasController@select_materias_primas'));
	Route::get('formulas/select_productos', array('before' => 'permisos:formulas_agregar|formulas_editar|formulas_ver', 'uses' => 'FormulasController@select_productos'));
	Route::get('formulas/vista_editar_formula', array('before' => 'permisos:formulas_agregar|formulas_editar|formulas_ver', 'uses' => 'FormulasController@vista_editar_formula'));

	Route::get('formulas/editar/{id}', array('before' => 'permisos:formulas_editar','uses' => 'FormulasController@vista_editar'));
	Route::post('formulas/editar/{id}', array('before' => 'permisos:formulas_editar','uses' => 'FormulasController@editar_formula'));
	Route::get('formulas/obtener/{id}', array('before' => 'permisos:formulas_editar','uses' => 'FormulasController@obtener_formula'));
	Route::post('formulas/eliminar', array('before' => 'permisos:formulas_eliminar','uses' => 'FormulasController@eliminar'));
	Route::get('formulas/{id?}', array('before' => 'permisos:formulas_ver','uses' => 'FormulasController@index'));

	Route::get('usuarios', array('before' => 'permisos:usuarios_ver','uses' => 'UsuariosController@index'));
	Route::get('usuarios/datagrid', array('before' => 'permisos:usuarios_ver','uses' => 'UsuariosController@datagrid'));
	Route::post('usuarios/agregar', array('before' => 'permisos:usuarios_agregar','uses' => 'UsuariosController@agregar'));
	Route::get('usuarios/obtener/{id}', array('before' => 'permisos:usuarios_editar','uses' => 'UsuariosController@obtener'));
	Route::post('usuarios/editar', array('before' => 'permisos:usuarios_editar','uses' => 'UsuariosController@editar'));
	Route::post('usuarios/eliminar', array('before' => 'permisos:usuarios_eliminar','uses' => 'UsuariosController@eliminar'));

	Route::get('ingresos', array('before' => 'permisos:ingresos_ver','uses' => 'IngresosController@index'));
	Route::get('ingresos/leeProducto', array('before' => 'permisos:ingresos_ver','uses' => 'IngresosController@leeProducto'));
	Route::get('ingresos/datagrid', array('before' => 'permisos:ingresos_ver','uses' => 'IngresosController@datagrid'));
	Route::get('detalles_ingreso/datagrid', array('before' => 'permisos:ingresos_ver','uses' => 'IngresosController@detalles_datagrid'));
	Route::get('ingresos/agregar', array('before' => 'permisos:ingresos_agregar','uses' => 'IngresosController@vista_agregar'));
	Route::post('ingresos/agregar', array('before' => 'permisos:ingresos_agregar','uses' => 'IngresosController@agregar_ingreso'));
	Route::post('ingresos/agregar_lote', array('before' => 'permisos:ingresos_agregar','uses' => 'IngresosController@agregar_lote'));
	Route::get('ingresos/select_oc', array('before' => 'permisos:ingresos_agregar','uses' => 'IngresosController@select_oc'));
	Route::get('ingresos/obtener_oc/{id}', array('before' => 'permisos:ingresos_agregar','uses' => 'IngresosController@obtener_oc'));
	Route::get('ingresos/validaGuiaRecepcion', array('before' => 'permisos:ingresos_agregar','uses' => 'IngresosController@validaGuiaRecepcion'));

	Route::get('etiquetas/{id}', array('before' => 'permisos:etiquetas_ver','uses' => 'etiquetasController@index'));
	Route::get('etiquetas/datagrid/{id}', array('before' => 'permisos:etiquetas_ver','uses' => 'etiquetasController@datagrid'));
	Route::get('etiquetas/leeLote/{ncodart}/{numguia}', array('before' => 'permisos:etiquetas_ver','uses' => 'etiquetasController@leeLote'));
	Route::get('etiquetas/movimientos/{nreguist}/{lote}', array('before' => 'permisos:etiquetas_ver','uses' => 'etiquetasController@movimientos'));
	Route::get('etiquetas/detalleFormula/{nreguist}/{lote}', array('before' => 'permisos:etiquetas_ver','uses' => 'etiquetasController@detalleFormula'));

	Route::get('planificador', array('before' => 'permisos:planificador_ver','uses' => 'PlanificadorController@index'));
	Route::get('planificador/datagrid', array('before' => 'permisos:planificador_ver','uses' => 'PlanificadorController@datagrid'));
	Route::get('planificador/obtener_stocks', array('before' => 'permisos:planificador_agregar','uses' => 'PlanificadorController@obtener_stocks'));
	Route::get('planificador/obtener/{all?}/{order?}', array('before' => 'permisos:planificador_agregar','uses' => 'PlanificadorController@obtener'));
	Route::get('planificador/agregar', array('before' => 'permisos:planificador_agregar','uses' => 'PlanificadorController@vista_agregar'));
	Route::post('planificador/agregar', array('before' => 'permisos:planificador_agregar','uses' => 'PlanificadorController@agregar'));
	Route::get('planificador/editar_planificador/{id}', array('before' => 'permisos:planificador_agregar','uses' => 'PlanificadorController@editar_planificador'));
	Route::get('planificador/agendar/{id}', array('before' => 'permisos:planificador_agregar','uses' => 'PlanificadorController@agendar'));
	Route::post('planificador/reagendar/{id}', array('before' => 'permisos:planificador_agregar','uses' => 'PlanificadorController@reagendar'));
	Route::post('planificador/eliminar', array('before' => 'permisos:planificador_eliminar','uses' => 'PlanificadorController@eliminar'));
	Route::get('planificador/select_productos', array('before' => 'permisos:planificador_agregar|planificador_agregar_editar|planificador_ver', 'uses' => 'PlanificadorController@select_productos'));

	Route::get('fabricacion/datagrid', array('before' => 'permisos:fabricacion_ver','uses' => 'FabricacionController@datagrid'));
	Route::get('detalles_fabricacion/datagrid', array('before' => 'permisos:fabricacion_ver','uses' => 'FabricacionController@detalles_datagrid'));
	Route::get('fabricacion/agregar', array('before' => 'permisos:fabricacion_agregar','uses' => 'FabricacionController@vista_agregar'));
	Route::post('fabricacion/agregar', array('before' => 'permisos:fabricacion_agregar','uses' => 'FabricacionController@agregar_formula'));
	Route::get('fabricacion/editar/{id}', array('before' => 'permisos:fabricacion_editar','uses' => 'FabricacionController@vista_editar'));
	Route::post('fabricacion/editar_fabricacion', array('before' => 'permisos:fabricacion_editar','uses' => 'FabricacionController@editar_fabricacion'));
	Route::get('fabricacion/obtener/{id}', array('before' => 'permisos:fabricacion_editar','uses' => 'FabricacionController@obtener_formula'));
	Route::post('fabricacion/eliminar', array('before' => 'permisos:fabricacion_eliminar','uses' => 'FabricacionController@eliminar'));
	Route::get('fabricacion/{id?}', array('before' => 'permisos:fabricacion_ver','uses' => 'FabricacionController@index'));
	Route::get('fabricacion/checkeaLote/{codBarra}', array('before' => 'permisos:fabricacion_editar|fabricacion_ver|fabricacion_agregar','uses' => 'FabricacionController@checkeaLote'));
	Route::get('fabricacion/recuperaCodigo/{codBarra}', array('before'  => 'permisos:fabricacion_editar|fabricacion_ver|fabricacion_agregar','uses' => 'FabricacionController@recuperaCodigo'));
	Route::get('fabricacion/recuperaCodigo2/{codBarra}', array('before' => 'permisos:fabricacion_editar|fabricacion_ver|fabricacion_agregar','uses' => 'FabricacionController@recuperaCodigo2'));

	Route::get('calidad/datagrid', array('before' => 'permisos:calidad_ver','uses' => 'CalidadController@datagrid'));
	Route::get('detalles_calidad/datagrid', array('before' => 'permisos:calidad_ver','uses' => 'CalidadController@detalles_datagrid'));
	Route::get('calidad/agregar', array('before' => 'permisos:calidad_agregar','uses' => 'CalidadController@vista_agregar'));
	Route::post('calidad/agregar', array('before' => 'permisos:calidad_agregar','uses' => 'CalidadController@agregar_formula'));
	Route::get('calidad/editar/{id}', array('before' => 'permisos:calidad_editar','uses' => 'CalidadController@vista_editar'));
	Route::get('calidad/editar_calidad', array('before' => 'permisos:calidad_editar','uses' => 'CalidadController@editar_calidad'));

	Route::get('calidad/obtener/{id}', array('before' => 'permisos:calidad_editar','uses' => 'CalidadController@obtener_formula'));
	Route::post('calidad/eliminar', array('before' => 'permisos:calidad_eliminar','uses' => 'CalidadController@eliminar'));
	Route::get('calidad/{id?}', array('before' => 'permisos:calidad_ver','uses' => 'CalidadController@index'));
	Route::get('calidad/checkeaLote/{codBarra}', array('before' => 'permisos:calidad_editar|calidad_ver|calidad_agregar','uses' => 'CalidadController@checkeaLote'));

	/*
	Route::get('fabricacion/datagrid', array('before' => 'permisos:fabricacion_ver','uses' => 'FabricacionController@datagrid'));
	Route::get('fabricacion/agregar/{id?}', array('before' => 'permisos:fabricacion_agregar','uses' => 'FabricacionController@vista_agregar'));
	Route::get('fabricacion/editar/{id}', array('before' => 'permisos:fabricacion_editar','uses' => 'FabricacionController@vista_editar'));
	Route::post('fabricacion/editar/{id}', array('before' => 'permisos:fabricacion_editar','uses' => 'FabricacionController@editar_fabricacion'));
	Route::get('fabricacion/obtener/{id}', array('before' => 'permisos:fabricacion_editar','uses' => 'FabricacionController@obtener_formula'));

	Route::get('fabricacion/{id?}', array('before' => 'permisos:fabricacion_ver','uses' => 'FabricacionController@index'));

	Route::get('detalles_fabricacion/datagrid', array('before' => 'permisos:fabricacion_ver','uses' => 'FabricacionController@detalles_datagrid'));
	Route::post('fabricacion/agregar/{numot?}', array('before' => 'permisos:fabricacion_agregar','uses' => 'FabricacionController@agregar'));
	Route::get('fabricacion/select_productos', array('uses' => 'FabricacionController@select_productos'));
	Route::get('fabricacion/obtener_formula/{id}', array('before' => 'permisos:fabricacion_agregar|planificador_ver', 'uses' => 'FabricacionController@obtener_formula'));
	Route::get('fabricacion/obtener_detalle_formula/{id_mp}/{id_prod}', array('before' => 'permisos:fabricacion_agregar|planificador_ver', 'uses' => 'FabricacionController@obtener_detalle_formula'));
	Route::post('fabricacion/eliminar', array('before' => 'permisos:fabricacion_eliminar','uses' => 'FabricacionController@eliminar'));
	*/

	Route::get('cuentas', array('before' => 'permisos:cuentas_ver','uses' => 'CuentasController@index'));
	Route::get('cuentas/datagrid', array('before' => 'permisos:cuentas_ver','uses' => 'CuentasController@datagrid'));
	Route::post('cuentas/agregar', array('before' => 'permisos:cuentas_agregar','uses' => 'CuentasController@agregar'));
	Route::get('cuentas/obtener/{id}', array('before' => 'permisos:cuentas_editar','uses' => 'CuentasController@obtener'));
	Route::get('cuentas/editar', array('before' => 'permisos:cuentas_editar','uses' => 'CuentasController@editar'));
	Route::post('cuentas/eliminar', array('before' => 'permisos:cuentas_eliminar','uses' => 'CuentasController@eliminar'));
	Route::get('cuentas/select_cuentas', array('before' => 'permisos:cuentas_agregar|cuentas_editar|cuentas_ver', 'uses' => 'CuentasController@select_cuentas'));

	Route::get('familias', array('before' => 'permisos:familias_ver','uses' => 'FamiliasController@index'));
	Route::get('familias/datagrid', array('before' => 'permisos:familias_ver','uses' => 'FamiliasController@datagrid'));
	Route::post('familias/agregar', array('before' => 'permisos:familias_agregar','uses' => 'FamiliasController@agregar'));
	Route::get('familias/obtener/{id}', array('before' => 'permisos:familias_editar','uses' => 'FamiliasController@obtener'));
	Route::post('familias/editar', array('before' => 'permisos:familias_editar','uses' => 'FamiliasController@editar'));
	Route::post('familias/eliminar', array('before' => 'permisos:familias_eliminar','uses' => 'FamiliasController@eliminar'));

	Route::get('subfamilias', array('before' => 'permisos:subfamilias_ver','uses' => 'SubfamiliasController@index'));
	Route::get('subfamilias/datagrid', array('before' => 'permisos:subfamilias_ver','uses' => 'SubfamiliasController@datagrid'));
	Route::post('subfamilias/agregar', array('before' => 'permisos:subfamilias_agregar','uses' => 'SubfamiliasController@agregar'));
	Route::get('subfamilias/obtener/{id}', array('before' => 'permisos:subfamilias_editar','uses' => 'SubfamiliasController@obtener'));
	Route::post('subfamilias/editar', array('before' => 'permisos:subfamilias_editar','uses' => 'SubfamiliasController@editar'));
	Route::post('subfamilias/eliminar', array('before' => 'permisos:subfamilias_eliminar','uses' => 'SubfamiliasController@eliminar'));

	Route::get('subsubfamilias', array('before' => 'permisos:subsubfamilias_ver','uses' => 'SubsubfamiliasController@index'));
	Route::get('subsubfamilias/datagrid', array('before' => 'permisos:subsubfamilias_ver','uses' => 'SubsubfamiliasController@datagrid'));
	Route::post('subsubfamilias/agregar', array('before' => 'permisos:subsubfamilias_agregar','uses' => 'SubsubfamiliasController@agregar'));
	Route::get('subsubfamilias/obtener/{id}', array('before' => 'permisos:subsubfamilias_editar','uses' => 'SubsubfamiliasController@obtener'));
	Route::post('subsubfamilias/editar', array('before' => 'permisos:subsubfamilias_editar','uses' => 'SubsubfamiliasController@editar'));
	Route::post('subsubfamilias/eliminar', array('before' => 'permisos:subsubfamilias_eliminar','uses' => 'SubsubfamiliasController@eliminar'));

	Route::get('productos/select_productos_banados', array('before' => 'permisos:productos_agregar|productos_editar|productos_ver', 'uses' => 'ProductosController@select_productos_banados'));
	Route::get('productos/{tipoprod}', array('before' => 'permisos:productos_ver','uses' => 'ProductosController@index'));
	Route::get('productos/datagrid/{tipoprod}', array('before' => 'permisos:productos_ver','uses' => 'ProductosController@datagrid'));
	Route::post('productos/agregar', array('before' => 'permisos:productos_agregar','uses' => 'ProductosController@agregar'));
	Route::get('productos/obtener/{id}', array('before' => 'permisos:productos_editar','uses' => 'ProductosController@obtener'));
	Route::post('productos/editar', array('before' => 'permisos:productos_editar','uses' => 'ProductosController@editar'));
	Route::post('productos/eliminar', array('before' => 'permisos:productos_eliminar','uses' => 'ProductosController@eliminar'));

	Route::get('stock', array('before' => 'permisos:stock_ver','uses' => 'StockController@index'));
	Route::get('stock/datagrid', array('before' => 'permisos:stock_ver','uses' => 'StockController@datagrid'));
	Route::get('stock/movimientos/{id}', array('before' => 'permisos:stock_ver','uses' => 'StockController@movimientos'));
	Route::get('stock/obtener/{id}', array('before' => 'permisos:stock_editar','uses' => 'StockController@obtener'));

	Route::get('importar/{tipo}', array('before' => 'permisos:productos_ver','uses' => 'ImportarController@index'));
	Route::post('importar/grabarArchivo', array('before' => 'permisos:productos_ver','uses' => 'ImportarController@grabarArchivo'));	

	Route::get('envases/datagrid', array('before' => 'permisos:envases_ver', 'uses' => 'EnvasesController@datagrid'));
	Route::get('detalles_envases/datagrid', array('before' => 'permisos:envases_ver', 'uses' => 'EnvasesController@detalles_envases'));
	Route::get('envases/agregar', array('before' => 'permisos:envases_agregar', 'uses' => 'EnvasesController@vista_agregar'));
	Route::post('envases/agregar_envases', array('before' => 'permisos:envases_agregar', 'uses' => 'EnvasesController@agregar_envases'));
	Route::get('envases/select_envases', array('before' => 'permisos:envases_agregar|envases_editar|envases_ver', 'uses' => 'EnvasesController@select_envases'));
	Route::get('envases/select_productos', array('before' => 'permisos:envases_agregar|envases_editar|envases_ver', 'uses' => 'EnvasesController@select_productos'));
	Route::get('envases/editar/{id}', array('before' => 'permisos:envases_editar','uses' => 'EnvasesController@vista_editar'));
	Route::post('envases/editar/{id}', array('before' => 'permisos:envases_editar','uses' => 'EnvasesController@editar_formula'));
	Route::get('envases/obtener/{id}', array('before' => 'permisos:envases_editar','uses' => 'EnvasesController@obtener_formula'));
	Route::post('envases/eliminar', array('before' => 'permisos:envases_eliminar','uses' => 'EnvasesController@eliminar'));
	Route::get('envases/{id?}', array('before' => 'permisos:envases_ver','uses' => 'EnvasesController@index'));


	/* Documentos Guias - Facturas - Notas de Cr�dito - Notas de D�bito */
	Route::get('notasventas', array('before' => 'permisos:notasventas_ver','uses' => 'NotasventasController@index'));
	Route::get('notasventas/index', array('before' => 'permisos:notasventas_ver','uses' => 'NotasventasController@index'));
	Route::get('notasventas/datagrid', array('before' => 'permisos:notasventas_ver','uses' => 'NotasventasController@datagrid'));
	Route::get('detalles_Factura/datagrid', array('before' => 'permisos:notasventas_ver','uses' => 'NotasventasController@detalles_datagrid'));
	Route::get('notasventas/agregar/{id}', array('before' => 'permisos:notasventas_agregar','uses' => 'NotasventasController@vista_agregar'));
	Route::post('notasventas/agregar_Factura', array('before' => 'permisos:notasventas_agregar','uses' => 'NotasventasController@agregar_Factura'));
	Route::get('notasventas/select_oc', array('before' => 'permisos:notasventas_agregar','uses' => 'NotasventasController@select_oc'));
	Route::get('notasventas/select_clientes', array('before' => 'permisos:notasventas_agregar|notasventas_editar', 'uses' => 'NotasventasController@select_clientes'));
	Route::get('notasventas/ProductosSelect', array('before' => 'permisos:notasventas_agregar|notasventas_editar', 'uses' => 'NotasventasController@ProductosSelect'));
	Route::get('notasventas/listaDePrecios', array('before' => 'permisos:notasventas_agregar|notasventas_editar', 'uses' => 'NotasventasController@listaDePrecios'));
	Route::get('notasventas/llama_clientes', array('before' => 'permisos:notasventas_agregar|notasventas_editar', 'uses' => 'NotasventasController@llama_clientes'));
	Route::get('notasventas/fechaVencim', array('before' => 'permisos:notasventas_agregar', 'uses' => 'NotasventasController@fechaVencim'));
	Route::get('notasventas/TipDoctoRef', array('before' => 'permisos:notasventas_agregar|notasventas_editar', 'uses' => 'NotasventasController@TipDoctoRef'));
	Route::get('notasventas/TipoRef', array('before' => 'permisos:notasventas_agregar|notasventas_editar', 'uses' => 'NotasventasController@TipoRef'));
	Route::get('notasventas/autonumerar', array('before' => 'permisos:notasventas_agregar','uses' => 'NotasventasController@autonumerar'));
	Route::get('notasventas/obtener_factura/{id}', array('before' => 'permisos:notasventas_editar','uses' => 'NotasventasController@obtener_factura'));
	Route::get('notasventas/chequeaInventario', array('before' => 'permisos:notasventas_editar','uses' => 'NotasventasController@chequeaInventario'));

	/* Ajuste Salida */
	Route::get('ajustesalida', array('before' => 'permisos:ajustesalida_ver','uses' => 'AjustesalidaController@index'));
	Route::get('ajustesalida/index', array('before' => 'permisos:ajustesalida_ver','uses' => 'AjustesalidaController@index'));
	Route::get('ajustesalida/datagrid', array('before' => 'permisos:ajustesalida_ver','uses' => 'AjustesalidaController@datagrid'));
	Route::get('ajustesalida/agregar/{id}', array('before' => 'permisos:ajustesalida_agregar','uses' => 'AjustesalidaController@vista_agregar'));
	Route::post('ajustesalida/agregar_Factura', array('before' => 'permisos:ajustesalida_agregar','uses' => 'AjustesalidaController@agregar_Factura'));
	Route::get('ajustesalida/select_oc', array('before' => 'permisos:ajustesalida_agregar','uses' => 'AjustesalidaController@select_oc'));
	Route::get('ajustesalida/select_clientes', array('before' => 'permisos:ajustesalida_agregar|ajustesalida_editar', 'uses' => 'AjustesalidaController@select_clientes'));
	Route::get('ajustesalida/ProductosSelect', array('before' => 'permisos:ajustesalida_agregar|ajustesalida_editar', 'uses' => 'AjustesalidaController@ProductosSelect'));
	Route::get('ajustesalida/listaDePrecios', array('before' => 'permisos:ajustesalida_agregar|ajustesalida_editar', 'uses' => 'AjustesalidaController@listaDePrecios'));
	Route::get('ajustesalida/llama_clientes', array('before' => 'permisos:ajustesalida_agregar|ajustesalida_editar', 'uses' => 'AjustesalidaController@llama_clientes'));
	Route::get('ajustesalida/fechaVencim', array('before' => 'permisos:ajustesalida_agregar', 'uses' => 'AjustesalidaController@fechaVencim'));
	Route::get('ajustesalida/TipDoctoRef', array('before' => 'permisos:ajustesalida_agregar|ajustesalida_editar', 'uses' => 'AjustesalidaController@TipDoctoRef'));
	Route::get('ajustesalida/TipoRef', array('before' => 'permisos:ajustesalida_agregar|ajustesalida_editar', 'uses' => 'AjustesalidaController@TipoRef'));
	Route::get('ajustesalida/autonumerar', array('before' => 'permisos:ajustesalida_agregar','uses' => 'AjustesalidaController@autonumerar'));
	Route::get('ajustesalida/obtener_factura/{id}', array('before' => 'permisos:ajustesalida_editar','uses' => 'AjustesalidaController@obtener_factura'));
	Route::get('ajustesalida/chequeaInventario', array('before' => 'permisos:ajustesalida_editar','uses' => 'AjustesalidaController@chequeaInventario'));
	Route::post('ajustesalida/eliminar', array('before' => 'permisos:ajustesalida_eliminar','uses' => 'AjustesalidaController@eliminar'));

	/* Ajuste Entrada */
	Route::get('ajusteentrada', array('before' => 'permisos:ajusteentrada_ver','uses' => 'AjusteentradaController@index'));
	Route::get('ajusteentrada/index', array('before' => 'permisos:ajusteentrada_ver','uses' => 'AjusteentradaController@index'));
	Route::get('ajusteentrada/datagrid', array('before' => 'permisos:ajusteentrada_ver','uses' => 'AjusteentradaController@datagrid'));
	Route::get('ajusteentrada/agregar/{id}', array('before' => 'permisos:ajusteentrada_agregar','uses' => 'AjusteentradaController@vista_agregar'));
	Route::post('ajusteentrada/agregar_Factura', array('before' => 'permisos:ajusteentrada_agregar','uses' => 'AjusteentradaController@agregar_Factura'));
	Route::get('ajusteentrada/select_oc', array('before' => 'permisos:ajusteentrada_agregar','uses' => 'AjusteentradaController@select_oc'));
	Route::get('ajusteentrada/select_clientes', array('before' => 'permisos:ajusteentrada_agregar|ajusteentrada_editar', 'uses' => 'AjusteentradaController@select_clientes'));
	Route::get('ajusteentrada/ProductosSelect', array('before' => 'permisos:ajusteentrada_agregar|ajusteentrada_editar', 'uses' => 'AjusteentradaController@ProductosSelect'));
	Route::get('ajusteentrada/listaDePrecios', array('before' => 'permisos:ajusteentrada_agregar|ajusteentrada_editar', 'uses' => 'AjusteentradaController@listaDePrecios'));
	Route::get('ajusteentrada/llama_clientes', array('before' => 'permisos:ajusteentrada_agregar|ajusteentrada_editar', 'uses' => 'AjusteentradaController@llama_clientes'));
	Route::get('ajusteentrada/fechaVencim', array('before' => 'permisos:ajusteentrada_agregar', 'uses' => 'AjusteentradaController@fechaVencim'));
	Route::get('ajusteentrada/TipDoctoRef', array('before' => 'permisos:ajusteentrada_agregar|ajusteentrada_editar', 'uses' => 'AjusteentradaController@TipDoctoRef'));
	Route::get('ajusteentrada/TipoRef', array('before' => 'permisos:ajusteentrada_agregar|ajusteentrada_editar', 'uses' => 'AjusteentradaalidaController@TipoRef'));
	Route::get('ajusteentrada/autonumerar', array('before' => 'permisos:ajusteentrada_agregar','uses' => 'AjusteentradaController@autonumerar'));
	Route::get('ajusteentrada/obtener_factura/{id}', array('before' => 'permisos:ajusteentrada_editar','uses' => 'AjusteentradaController@obtener_factura'));
	Route::get('ajusteentrada/chequeaInventario', array('before' => 'permisos:ajusteentrada_editar','uses' => 'AjusteentradaController@chequeaInventario'));
	Route::post('ajusteentrada/eliminar', array('before' => 'permisos:ajusteentrada_eliminar','uses' => 'AjusteentradaController@eliminar'));
	

	Route::get('envasado/datagrid', array('before' => 'permisos:envasado_ver','uses' => 'EnvasadoController@datagrid'));
	Route::get('detalles_envasado/datagrid', array('before' => 'permisos:envasado_ver','uses' => 'EnvasadoController@detalles_datagrid'));
//	Route::get('envasado/agregar', array('before' => 'permisos:envasado_agregar','uses' => 'EnvasadoController@vista_agregar'));
	Route::post('envasado/agregar', array('before' => 'permisos:envasado_agregar','uses' => 'EnvasadoController@agregar'));
	Route::get('envasado/editar/{id}', array('before' => 'permisos:envasado_editar','uses' => 'EnvasadoController@vista_editar'));
	Route::get('envasado/ve/{id}', array('before' => 'permisos:envasado_editar','uses' => 'EnvasadoController@ve'));
	Route::get('envasado/chequeaInventario', array('before' => 'permisos:envasado_editar|envasado_ver|envasado_agregar','uses' => 'EnvasadoController@chequeaInventario'));
	Route::get('envasado/costoEnvase', array('before' => 'permisos:envasado_editar|envasado_ver|envasado_agregar','uses' => 'EnvasadoController@costoEnvase'));

	Route::get('envasado/obtener/{id}', array('before' => 'permisos:envasado_editar','uses' => 'EnvasadoController@obtener_formula'));
	Route::post('envasado/eliminar', array('before' => 'permisos:envasado_eliminar','uses' => 'EnvasadoController@eliminar'));
	Route::get('envasado/{id?}', array('before' => 'permisos:envasado_ver','uses' => 'EnvasadoController@index'));
	Route::get('envasado/checkeaLote/{codBarra}', array('before' => 'permisos:envasado_editar|envasado_ver|envasado_agregar','uses' => 'EnvasadoController@checkeaLote'));
	Route::get('envasado/leeBidones/{numnota}', array('before' => 'permisos:envasado_editar|envasado_ver|envasado_agregar','uses' => 'EnvasadoController@leeBidones'));

	/* Emitir Guías */
	Route::get('emitirguias/datagrid', array('before' => 'permisos:emitirguias_ver','uses' => 'EmitirguiasController@datagrid'));

	/* Trazabilidad */
	Route::get('trazabilidad', array('before' => 'permisos:trazabilidad_ver','uses' => 'TrazabilidadController@index'));
	Route::get('trazabilidad/obtener/{id}', array('before' => 'permisos:trazabilidad_ver','uses' => 'TrazabilidadController@obtener_lote'));
	Route::get('trazabilidad/datagrid', array('before' => 'permisos:trazabilidad_ver','uses' => 'TrazabilidadController@datagrid'));

	/* Nibald */
	Route::get('nibaldo', array('before' => 'permisos:nibaldo_ver','uses' => 'NibaldoController@index'));
	Route::get('nibaldo/datagrid', array('before' => 'permisos:nibaldo_ver','uses' => 'NibaldoController@datagrid'));

	/* Documentos Guias - Facturas - Notas de Cr�dito - Notas de D�bito */
	Route::get('guiadespacho', array('before' => 'permisos:guiadespacho_ver','uses' => 'GuiadespachoController@index'));
	Route::get('guiadespacho/index', array('before' => 'permisos:guiadespacho_ver','uses' => 'GuiadespachoController@index'));
	Route::get('guiadespacho/datagrid', array('before' => 'permisos:guiadespacho_ver','uses' => 'GuiadespachoController@datagrid'));
	Route::get('detalles_Factura/datagrid', array('before' => 'permisos:guiadespacho_ver','uses' => 'GuiadespachoController@detalles_datagrid'));
	Route::get('guiadespacho/agregar/{id}', array('before' => 'permisos:guiadespacho_agregar','uses' => 'GuiadespachoController@vista_agregar'));
	Route::post('guiadespacho/agregar_Factura', array('before' => 'permisos:guiadespacho_agregar','uses' => 'GuiadespachoController@agregar_Factura'));
	Route::get('guiadespacho/select_oc', array('before' => 'permisos:guiadespacho_agregar','uses' => 'GuiadespachoController@select_oc'));
	Route::get('guiadespacho/select_clientes', array('before' => 'permisos:guiadespacho_agregar|guiadespacho_editar', 'uses' => 'GuiadespachoController@select_clientes'));
	Route::get('guiadespacho/ProductosSelect', array('before' => 'permisos:guiadespacho_agregar|guiadespacho_editar', 'uses' => 'GuiadespachoController@ProductosSelect'));
	Route::get('guiadespacho/listaDePrecios', array('before' => 'permisos:guiadespacho_agregar|guiadespacho_editar', 'uses' => 'GuiadespachoController@listaDePrecios'));
	Route::get('guiadespacho/llama_clientes', array('before' => 'permisos:guiadespacho_agregar|guiadespacho_editar', 'uses' => 'GuiadespachoController@llama_clientes'));
	Route::get('guiadespacho/fechaVencim', array('before' => 'permisos:guiadespacho_agregar', 'uses' => 'GuiadespachoController@fechaVencim'));
	Route::get('guiadespacho/TipDoctoRef', array('before' => 'permisos:guiadespacho_agregar|guiadespacho_editar', 'uses' => 'GuiadespachoController@TipDoctoRef'));
	Route::get('guiadespacho/TipoRef', array('before' => 'permisos:guiadespacho_agregar|guiadespacho_editar', 'uses' => 'GuiadespachoController@TipoRef'));
	Route::get('guiadespacho/autonumerar', array('before' => 'permisos:guiadespacho_agregar','uses' => 'GuiadespachoController@autonumerar'));
	Route::get('guiadespacho/obtener_factura/{id}', array('before' => 'permisos:guiadespacho_editar','uses' => 'GuiadespachoController@obtener_factura'));
	Route::get('guiadespacho/chequeaInventario', array('before' => 'permisos:guiadespacho_editar','uses' => 'GuiadespachoController@chequeaInventario'));

});